RHEL 7:libtasn1 (RHSA-2014:0687)

medium Nessus Plugin ID 76896

Synopsis

遠端 Red Hat 主機缺少一個或多個安全性更新。

描述

現已提供適用於 Red Hat Enterprise Linux 7 的更新版 libtasn1 套件,可修正三個安全性問題。

Red Hat 安全性回應團隊已將此更新評等為具有中等安全性影響。可針對每個弱點從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

libtasn1 程式庫提供抽象數據描述語言 (ASN.1) 剖析和結構管理,以及 Distinguished Encoding Rules (DER) 編碼和解碼功能。

據發現,libtasn1 程式庫的 asn1_get_bit_der() 函式未正確報告 ASN.1-encoded 資料的長度。
特製 ASN.1 輸入可導致使用 libtasn1 的應用程式執行超出邊界的存取作業,進而造成應用程式損毀或可能執行任意程式碼。
(CVE-2014-3468)

在 libtasn1 中發現多個錯誤的緩衝區邊界檢查問題。特製的 ASN.1 輸入可導致使用 libtasn1 的應用程式損毀。(CVE-2014-3467)

在 libtasn1 的 asn1_read_value() 函式中發現多個 NULL 指標解除參照瑕疵。如果應用程式以特定方式使用上述函式,則特製的 ASN.1 輸入可導致使用 libtasn1 的應用程式損毀。(CVE-2014-3469)

Red Hat 要感謝 GnuTLS 上游報告這些問題。

建議所有 libtasn1 使用者皆升級至這些更新版套件,以更正這些問題。若要使更新生效,所有與 libtasn1 程式庫連結的應用程式均須重新啟動。

解決方案

更新受影響的套件。

另請參閱

https://access.redhat.com/errata/RHSA-2014:0687

https://access.redhat.com/security/cve/cve-2014-3467

https://access.redhat.com/security/cve/cve-2014-3469

https://access.redhat.com/security/cve/cve-2014-3468

Plugin 詳細資訊

嚴重性: Medium

ID: 76896

檔案名稱: redhat-RHSA-2014-0687.nasl

版本: 1.14

類型: local

代理程式: unix

已發布: 2014/7/30

已更新: 2021/1/14

支持的傳感器: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5.9

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

時間媒介: E:ND/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:redhat:enterprise_linux:libtasn1, p-cpe:/a:redhat:enterprise_linux:libtasn1-debuginfo, p-cpe:/a:redhat:enterprise_linux:libtasn1-devel, p-cpe:/a:redhat:enterprise_linux:libtasn1-tools, cpe:/o:redhat:enterprise_linux:7, cpe:/o:redhat:enterprise_linux:7.3, cpe:/o:redhat:enterprise_linux:7.4, cpe:/o:redhat:enterprise_linux:7.5, cpe:/o:redhat:enterprise_linux:7.6, cpe:/o:redhat:enterprise_linux:7.7

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2014/6/10

弱點發布日期: 2014/6/5

參考資訊

CVE: CVE-2014-3467, CVE-2014-3468, CVE-2014-3469

BID: 67745, 67748, 67749

RHSA: 2014:0687